View Issue Details

IDProjectCategoryView StatusLast Update
0012747mantisbtldappublic2011-04-05 14:23
Reporterjesusaplsoft Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version1.2.4 
Fixed in Version1.2.5 
Summary0012747: Better log message for LDAP auth errors
Description

In file "core/ldap_api.php", lines 78-83 are:

if ( !$t_br ) {
log_event( LOG_LDAP, "bind to ldap server failed - authentication error?" );
trigger_error( ERROR_LDAP_AUTH_FAILED, ERROR );
} else {
log_event( LOG_LDAP, "bind to ldap server successful" );
}

and should be:

if ( !$t_br ) {
log_event( LOG_LDAP, "bind to ldap server failed: ".ldap_error($t_ds) );
trigger_error( ERROR_LDAP_AUTH_FAILED, ERROR );
} else {
log_event( LOG_LDAP, "bind to ldap server successful" );
}

The only change made is related to line 79 (2nd one). This way error cause is reported in logging file

Tagspatch

Activities

jesusaplsoft

jesusaplsoft

2011-02-05 19:33

reporter   ~0028171

They're lines 73-78, actually and the bad one is number 74

Related Changesets

MantisBT: master 85439a65

2011-02-13 19:45:39

vboctor

Details Diff
Fix 0012747: Better log message for LDAP auth errors. Affected Issues
0012747
mod - core/ldap_api.php Diff File

MantisBT: master-1.2.x 75fef46e

2011-02-13 19:45:39

vboctor

Details Diff
Fix 0012747: Better log message for LDAP auth errors. Affected Issues
0012747
mod - core/ldap_api.php Diff File

Issue History

Date Modified Username Field Change
2011-02-05 19:14 jesusaplsoft New Issue
2011-02-05 19:33 jesusaplsoft Note Added: 0028171
2011-02-13 14:41 vboctor Tag Attached: patch
2011-02-13 14:46 vboctor Changeset attached => MantisBT master 85439a65
2011-02-13 14:46 vboctor Changeset attached => MantisBT master-1.2.x 75fef46e
2011-02-13 14:46 vboctor Assigned To => vboctor
2011-02-13 14:46 vboctor Resolution open => fixed
2011-02-13 14:46 vboctor Fixed in Version => 1.2.5
2011-02-13 14:46 vboctor Status new => assigned
2011-02-13 14:46 vboctor Summary Better log message => Better log message for LDAP auth errors
2011-02-13 14:47 vboctor Status assigned => resolved
2011-04-05 14:23 jreese Status resolved => closed